Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000490Core InformPhrases and functional programmingpublic2010-12-31 07:222014-05-07 07:35
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000490: Error message does not mention that a temporary variable has gone out of scope
DescriptionFor the attached source, ni gives:

- - - -
Problem. You wrote 'repeat with the counter running from one to the index plus one begin' , which I tried to match against several possible phrase definitions. None of them worked.
I was trying to match one of these phrases:

1. repeat with (counter - a new name) running from (one - arithmetic value) to (index plus one - arithmetic value):
2. repeat with (counter - a new name) running from (one - enumerated value) to (index plus one - enumerated value):
This was what I found out:

counter = something unrecognised
index plus one = an instruction to work out an arithmetic value, which results in an arithmetic value
- - - -

where the first possibility matches according to the kinds: counter can be a new name, and index plus one works out to be an arithmetic value as stated. The problem that is not reported is that index is out of scope.
Minimal Source Text To Reproduce
There is a room.
When play begins:
	repeat with the index running from one to two:
		do nothing;
	repeat with the counter running from one to the index plus one:
		do nothing.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0001386)
graham (administrator)
2011-10-16 03:43

This was rather difficult to do much about, but I've improved the problem message, and it does now identify 'index' as the point of breakdown.

- Issue History
Date Modified Username Field Change
2010-12-31 07:22 EmacsUser New Issue
2010-12-31 18:24 jmcgrew Status new => acknowledged
2011-01-10 11:59 jmcgrew Status acknowledged => confirmed
2011-10-16 03:43 graham Note Added: 0001386
2011-10-16 03:43 graham Status confirmed => resolved
2011-10-16 03:43 graham Resolution open => fixed
2011-10-16 03:43 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:35 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker